val flash_duration : int
val blink_duration : int
val blink_toggles_no : int
exception Non_existing_led_light of int * int
exception Non_existing_port of int
val tooltips : GData.tooltips
val make_pixmap_from_xpm_file : file_name:string -> GDraw.pixmap
class led_light :
  ?default:bool ->
  ?x:int ->
  ?y:int ->
  off_pixmap:#GDraw.pixmap ->
  on_pixmap:#GDraw.pixmap ->
  packing:(GObj.widget -> unit) ->
  unit ->
  object
    val default : bool ref
    val notebook : GPack.notebook
    val state : bool ref
    method blink : unit
    method private blink_this_number_of_times : int -> unit
    method flash : unit
    method get : bool
    method get_default : bool
    method get_position : int * int
    method get_widget : GPack.notebook
    method reset : unit
    method set : bool -> unit
    method set_default : bool -> unit
    method toggle : unit
  end
val useless_array_of_led_light_options : led_light option array
val useless_label : GMisc.label
class led_grid :
  ?default:bool ->
  on_xpm_file_name:string ->
  off_xpm_file_name:string ->
  nothing_xpm_file_name:string ->
  columns:int ->
  rows:int ->
  packing:(GObj.widget -> unit) ->
  ?angle:float ->
  ?no_leds_at:(int * int) list ->
  unit ->
  object
    val bottom_labels : GMisc.label array
    val led_lights_matrix : led_light option array array
    val left_labels : GMisc.label array
    val no_leds_at : (int * int, unit) Hashtbl.t
    val nothing_pixmap : GDraw.pixmap
    val off_pixmap : GDraw.pixmap
    val on_pixmap : GDraw.pixmap
    val right_labels : GMisc.label array
    val table_widget : GPack.table
    val top_labels : GMisc.label array
    method get : int -> int -> led_light
    method get_bottom_label : int -> string
    method get_led_light : int -> int -> led_light
    method get_left_label : int -> string
    method get_random_led_light : led_light
    method get_right_label : int -> string
    method get_top_label : int -> string
    method get_widget : GPack.table
    method set_bottom_label : int -> string -> unit
    method set_bottom_labels_angle : float -> unit
    method set_left_label : int -> string -> unit
    method set_right_label : int -> string -> unit
    method set_top_label : int -> string -> unit
    method set_top_labels_angle : float -> unit
  end
val range : int -> int -> int list
class device_led_grid :
  on_xpm_file_name:string ->
  off_xpm_file_name:string ->
  nothing_xpm_file_name:string ->
  ?show_100_mbs:bool ->
  ports:int ->
  packing:(GObj.widget -> unit) ->
  ?angle:float ->
  ?lines:int ->
  unit ->
  object
    val bottom_labels : GMisc.label array
    val led_lights_matrix : led_light option array array
    val left_labels : GMisc.label array
    val no_leds_at : (int * int, unit) Hashtbl.t
    val nothing_pixmap : GDraw.pixmap
    val off_pixmap : GDraw.pixmap
    val on_pixmap : GDraw.pixmap
    val right_labels : GMisc.label array
    val table_widget : GPack.table
    val top_labels : GMisc.label array
    method blink : int -> unit
    method connect : int -> unit
    method disconnect : int -> unit
    method flash : int -> unit
    method private for_each_led_light :
      (led_light -> unit) -> int -> unit list
    method get : int -> int -> led_light
    method get_bottom_label : int -> string
    method get_led_light : int -> int -> led_light
    method get_left_label : int -> string
    method get_random_led_light : led_light
    method get_right_label : int -> string
    method get_top_label : int -> string
    method get_widget : GPack.table
    method is_connected : int -> bool
    method private port_to_led_lights : int -> led_light list
    method private port_to_positions : int -> (int * int) list
    method private port_to_positions_ : int -> (int * int) list
    method random_connected_port : int
    method set : int -> bool -> unit
    method set_bottom_label : int -> string -> unit
    method set_bottom_labels_angle : float -> unit
    method set_left_label : int -> string -> unit
    method set_right_label : int -> string -> unit
    method set_top_label : int -> string -> unit
    method set_top_labels_angle : float -> unit
  end
